namespace InABox.Mobile
{
    public class BoolToIntegerConverter : AbstractConverter<bool,int>
    {
        public int TrueValue { get; set; }
        public int FalseValue { get; set; }

        protected override int Convert(bool value, object parameter = null)
        {
            return value ? TrueValue : FalseValue;
        }

        public BoolToIntegerConverter()
        {
            TrueValue = 1;
            FalseValue = 0;
        }
        
    }
}